// Local copy, modified by bbrown3 for test purposes
// MISRA C-2012 Rules
// Default enabled rules (equivalent to old level 1) are:

// Parse warnings and recoverable warnings related:
// Rule 2.1, Rule 2.2, Rule 3.1, Rule 3.2, Rule 4.2, Rule 5.3, Rule 5.7, Rule 8.2, Rule 17.3, Rule 20.9, Rule 20.14,

// Other default enabled rules:
// Directive 4.4, Directive 4.7, Directive 4.12, Rule 1.2, Rule 5.1, Rule 5.2, Rule 5.4, Rule 5.5, Rule 8.1, Rule 9.1,
// Rule 8.14, Rule 13.6, Rule 15.6, Rule 16.2, Rule 16.3, Rule 16.4, Rule 16.5, Rule 16.6, Rule 16.7, Rule 17.1,
// Rule 17.4, Rule 17.6, Rule 19.1, Rule 19.2, Rule 21.4, Rule 21.5, Rule 21.6, Rule 21.7, Rule 21.8, Rule 21.9,
// Rule 21.10, Rule 21.11, Rule 21.12, Rule 22.1, Rule 22.2, Rule 22.4, Rule 22.5, Rule 22.6.

// extra enabled rules for old level 2:
// Directive 4.3, Directive 4.11, Rule 13.1, Rule 13.3, Rule 13.5, Rule 15.7, Rule 17.2, Rule 22.3.

// extra enabled rules for old level 3:
// Rule 2.6, Rule 6.1, Rule 6.2, Rule 12.4, Rule 14.1, Rule 14.2, Rule 15.1, Rule 15.2, Rule 15.3, Rule 15.4.

// extra enabled rules for old level 4:
// Rule 8.10, Rule 10.1, Rule 12.1, Rule 12.2, Rule 12.3, Rule 13.4, Rule 15.5, Rule 17.8, Rule 18.6.

// extra enabled rules for old level 5:
// Directive 4.6, Directive 4.9, Directive 4.10, Directive 4.13, Rule 2.7, Rule 7.2, Rule 7.3, Rule 8.11, Rule 8.12,
// Rule 9.2, Rule 9.5, Rule 14.3, Rule 14.4, Rule 17.7, Rule 18.7, Rule 18.8, Rule 20.1, Rule 20.2, Rule 20.3,
// Rule 20.5, Rule 20.6, Rule 20.7, Rule 20.8, Rule 20.10, Rule 20.11, Rule 20.12, Rule 20.13.

// extra enabled rules for old level 6:
// Rule 4.1, Rule 5.6, Rule 5.8, Rule 7.1, Rule 11.9, Rule 18.1, Rule 18.2, Rule 18.3, Rule 18.4, Rule 18.5.

// extra enabled rules for old level 7:
// Rule 7.4, Rule 8.13, Rule 10.2, Rule 10.3, Rule 10.4, Rule 10.5, Rule 10.6, Rule 10.7, Rule 10.8, Rule 11.1, Rule 11.2,
// Rule 11.3, Rule 11.4, Rule 11.5, Rule 11.6, Rule 11.7, Rule 11.8, Rule 13.2, Rule 20.4, Rule 21.1, Rule 21.2.

// You can disable the above rules (except mandatory rules) by adding "deviation"s and "reason"s in "deviations" field.
// Mandatory rules: 9.1, 13.6, 17.3, 17.4, 17.6, 19.1, 22.2, 22.4, 22.5, 22.6.

{
    version : "2.0",
    standard : "c2012",
    title: "Coverity Level 7 Compliance",
    deviations : [

    { deviation: "Rule 15.5",       reason: "All drivers knowingly violate this rule for control flow purposes." }
    // add a comma at the end of the line if you want to add another deviation


    ]
}
